Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 268236 - dev-util/glade-3.6.3: re-links to system's glade for python plugin
Summary: dev-util/glade-3.6.3: re-links to system's glade for python plugin
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.26
  Show dependency tree
 
Reported: 2009-05-02 03:40 UTC by Rafał Mużyło
Modified: 2009-06-07 20:02 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rafał Mużyło 2009-05-02 03:40:08 UTC
(I think glade 3.6.3 is still in gnone overlay only,
but this is a more general note, possibly an unforeseen upstream bug)

I've emerged glade 3.6.3, upgrading from glade 3.4.5 and got a strange
result - revdep-rebuild claimed that it immediately needed to rebuild it.
*   broken /usr/lib/glade3/modules/libgladepython.so (requires libgladeui-1.so.7)
However, libgladeui-1.so belongs to glade.
But it's libgladeui-1.so.9 for 3.6.3.
I think that the problem comes from m4/python.m4 macro.
The important part is:
py_exec_prefix=`$PYTHON -c "import sys; print sys.exec_prefix"`
if test "x$PYTHON_LIBS" == x; then
  PYTHON_LIBS="-L${py_prefix}/lib -lpython${PYTHON_VERSION}"
fi
(for me, on x86, that means -L/usr/lib)
That is a bit incompatible with portage,
as it makes it link with the libs in /usr/lib during src_install().
Comment 1 Rafał Mużyło 2009-05-02 03:42:29 UTC
Of course, if I'd rebuild it now, it will be fixed,
but some people may get surprised by this during upgrade.
Comment 2 Gilles Dartiguelongue gentoo-dev 2009-05-16 12:46:51 UTC
could you report this problem upstream ? Thanks.
Comment 3 Arun Raghavan (RETIRED) gentoo-dev 2009-06-07 19:27:26 UTC
Added a fix for this with the 3.6.4 bump. Thanks for the help, Rafał.